package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.OrderRefund;
import com.younike.system.param.OredrRefundParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 订单--退款处理Mapper接口
 *
 * @author elev
 * @date 2022-01-10
 */
public interface OrderRefundMapper {

    /**
     * 查询订单--退款处理
     *
     * @param orderRefundId 订单--退款处理主键
     * @return 订单--退款处理
     */
    List<OrderRefund> selectOrderRefundByOrderId(@Param("orderId") String orderId);
    /**
     * 查询订单--退款处理
     *
     * @param orderRefundId 订单--退款处理主键
     * @return 订单--退款处理
     */
    OrderRefund selectOrderRefundByOrderRefundId(Long orderRefundId);

    /**
     * 查询订单--退款处理列表
     *
     * @param orderRefund 订单--退款处理
     * @return 订单--退款处理集合
     */
    List<OrderRefund> selectOrderRefundList(OrderRefund orderRefund);

    /**
     * 新增订单--退款处理
     *
     * @param orderRefund 订单--退款处理
     * @return 结果
     */
    int insertOrderRefund(OrderRefund orderRefund);

    /**
     * 修改订单--退款处理
     *
     * @param orderRefund 订单--退款处理
     * @return 结果
     */
    int updateOrderRefund(OrderRefund orderRefund);

    /**
     * 删除订单--退款处理
     *
     * @param orderRefundId 订单--退款处理主键
     * @return 结果
     */
    int deleteOrderRefundByOrderRefundId(Long orderRefundId);

    /**
     * 批量删除订单--退款处理
     *
     * @param orderRefundIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteOrderRefundByOrderRefundIds(Long[] orderRefundIds);

    /**
     * 根据订单id查询订单维修记录
     * @param orderId
     * @return
     */
    OredrRefundParam selectOrderId(@Param("orderId") Long orderId);

    /**
     * 查询订单退款记录信息
     *
     * @param orderId
     * @return
     */
    OrderRefund getByOrderId(Long orderId);
}
